# $Revision: 1.22 $, $Date: 2012/01/14 19:51:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Base36
Summary:	Math::Base36 Perl module - encoding and decoding of base36 strings
Summary(pl.UTF-8):	Moduł Perla Math::Base36 - kodowanie i dekodowanie łańcuchów base36
Name:		perl-Math-Base36
Version:	0.09
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3af1a961e45c0e367e78685a518f5dde
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module converts to and from Base36 numbers (0..9 - A..Z).

%description -l pl.UTF-8
Ten moduł konwertuje do i z liczb Base36 (w systemie o podstawie 36 -
z cyframi 0..9,A..Z).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Math/Base36.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Base36.spec,v $
Revision 1.22  2012/01/14 19:51:22  zbyniu
- up to 0.09

Revision 1.21  2009/08/26 10:07:43  amateja
- updated to 0.06

Revision 1.20  2008/07/27 22:41:58  arekm
- release 3

Revision 1.19  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.17  2004/12/09 21:54:47  ankry
- reverted last changes (0.1 is incorrectly packaged 0.01)

Revision 1.16  2004/12/09 19:20:39  ankry
- Epoch: 1

Revision 1.15  2004/12/09 19:00:13  darekr
- updated to 0.1

Revision 1.14  2004/11/03 22:30:33  paladine
- formatting

Revision 1.13  2004/06/05 18:10:43  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.12  2004/05/06 18:20:36  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/23 07:50:15  ankry
- license fixes, unification

Revision 1.10  2004/04/20 23:59:34  ankry
- ported to new bconds

Revision 1.9  2004/04/14 21:16:31  ankry
- cosmetics, unification

Revision 1.8  2003/08/18 08:08:58  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:48  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:20:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:40:16  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:16  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/06 20:57:23  qboosh
- new
